# $Revision: 1.9 $, $Date: 2011/03/22 08:26:21 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Task
%define		pnam	Weaken
Summary:	Task::Weaken - ensure that a platform has weaken support
Summary(pl.UTF-8):	Task::Weaken - zapewnienie obsługi "weaken" na każdej platformie
Name:		perl-Task-Weaken
Version:	1.04
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Task/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	affd0c395515bb95d29968404d7fe6de
URL:		http://search.cpan.org/dist/Task-Weaken/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module contains a replacement for Scalar::Util's "weaken"
function which is not present in the pure-perl variant.

%description -l pl.UTF-8
Moduł ten zastępuje funkcję "weaken" ze Scalar::Util, której nie ma w
czystym Perlu.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%dir %{perl_vendorlib}/Task
%{perl_vendorlib}/Task/Weaken.pm
%{_mandir}/man3/Task::Weaken.3pm*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Task-Weaken.spec,v $
Revision 1.9  2011/03/22 08:26:21  caleb
- Up to 1.04

Revision 1.8  2011/02/23 15:39:03  qboosh
- pl cosmetic
- explicitly state that it currently owns Task dir (module is Task::Weaken, not just Task)

Revision 1.7  2009/10/15 18:43:28  amateja
- updated to 1.03

Revision 1.6  2008/02/05 22:52:18  radek
- version 1.02

Revision 1.5  2007-02-12 22:09:11  glen
- tabs in preamble

Revision 1.4  2007/02/12 01:06:45  baggins
- converted to UTF-8

Revision 1.3  2006/11/06 23:31:39  qboosh
- added URL

Revision 1.2  2006/10/26 10:34:54  ankry
- kill forgotten bogus NOTE

Revision 1.1  2006/10/25 22:16:45  ankry
- new
